
Application: gvSIG desktop - gvSIG bugs #1323
error saving project / error al gurada el proyecto
10/24/2012 11:47 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Application
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2056 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

En: can't save when symbology line properties has an image in my server file (X:\Bases\bases graficas\svg\flechas). It works fine if the
same image is in my desktop

Es: No puedo guradr el proyecto si tengo symbologías con imágenes en la propiedad de la linea, y  es imagen esta en mi servidor  
(X:\Bases\bases graficas\svg\flechas).  Funciona bien si la misma imagen está en mi escritorio.

message:
Error guardando el proyecto: yukii.gvsproj
Error getting or setting the state of an object.
  String index out of range: -2

History
#1 - 10/26/2012 02:54 PM - Manuel Madrid
- Priority changed from Normal to Immediate

#2 - 10/30/2012 08:06 AM - Manuel Madrid
- Category set to Application
- Target version set to 2.0.0-rc1

#3 - 10/30/2012 03:33 PM - Juan Lucas Domínguez
- Status changed from New to Awaiting response

Do we allow resources in different drive units (D: X: etc)?

#4 - 10/30/2012 03:50 PM - Mario Fevre

I don't know if you allow it. 
But in previous versions this worked just fine. 
And it is very usefull

#5 - 10/31/2012 03:55 PM - Juan Lucas Domínguez
- Status changed from Awaiting response to Fixed
- Assignee set to Juan Lucas Domínguez

Do not relativize resource paths if different drive units (should happen in Windows only).

gvsig-desktop:r39128

Test suggestions:

- Before testing this, remove the folder: <user>/gvSIG/Symbols
- If should be tested in Windows and also in Linux using an image which is in another disk or in a network unit (for example in a pen-drive)

#6 - 11/05/2012 10:29 AM - Juan Lucas Domínguez

Using utility method to normalize file path.

gvsig-desktop:r39139

Test suggestions:

- Before testing this, remove the folder: <user>/gvSIG/Symbols
- If should be tested in Windows and also in Linux using an image which is in another disk or in a network unit (for example in a pen-drive)

#7 - 11/08/2012 01:15 PM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057
